# $Revision: 1.47 $, $Date: 2010/07/21 13:29:20 $
#
# Conditional build:
%bcond_without	gui	# build without GUI
%if "%{pld_release}" == "ac"
%bcond_without		gcc4	# use gcc4* packages for building
%else
%bcond_with		gcc4	# use gcc4* packages for building
%endif

%define		wx_ver	2.8.9
Summary:	TrueCrypt - Free Open-Source Disk Encryption Software
Summary(pl.UTF-8):	TrueCrypt - wolnodostępne oprogramowanie do szyfrowania dysków
Name:		truecrypt
Version:	7.0
Release:	1
License:	TrueCrypt License Version 3.0
Group:		Base/Kernel
# Source download through form from http://www.truecrypt.org/downloads2.php,
# then rename source file (spaces are not allowed in SourceX)
Source0:	TrueCrypt-%{version}-Source.tar.gz
# Source0-md5:	da60dcc842b88ae7c8eb2171b1701abc
Source1:	http://ftp.wxwidgets.org/pub/%{wx_ver}/wxWidgets-%{wx_ver}.tar.bz2
# Source1-md5:	b0b2d0f6915a21ca6f33896ee8f50387
Source2:	ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11.h
# Source2-md5:	713ac88786b436a5df02bface7dfce45
Source3:	ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11f.h
# Source3-md5:	652434a5793eb14aae7b5baa07f6cfc7
Source4:	ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11t.h
# Source4-md5:	aeebc839b98e672982abf566e6a25525
URL:		http://www.truecrypt.org/
BuildRequires:	gcc >= 5:4.0.0
%{?with_gui:BuildRequires:	gtk+2-devel}
BuildRequires:	libfuse-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.379
%{?with_gui:BuildRequires:	xorg-lib-libSM-devel}
Requires:	losetup
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gcc4}
# add suffix, but allow ccache, etc in ~/.rpmmacros
%{expand:%%define	__cc	%(echo '%__cc' | sed -e 's,-gcc,-gcc4,')}
%{expand:%%define	__cxx	%(echo '%__cxx' | sed -e 's,-g++,-g++4,')}
%{expand:%%define	__cpp	%(echo '%__cpp' | sed -e 's,-gcc,-gcc4,')}
%endif

%description
Main Features:
- Creates a virtual encrypted disk within a file and mounts it as a
  real disk.
- Encrypts an entire hard disk partition or a storage device such as
  USB flash drive.
- Encryption is automatic, real-time (on-the-fly) and transparent.
- Provides two levels of plausible deniability, in case an adversary
  forces you to reveal the password:
  1) Hidden volume (steganography).
  2) No TrueCrypt volume can be identified (volumes cannot be
  distinguished from random data).
- Encryption algorithms: AES-256, Blowfish (448-bit key), CAST5,
  Serpent, Triple DES, and Twofish. Mode of operation: LRW (CBC
  supported as legacy).

%description -l pl.UTF-8
Główne cechy:
- Tworzenie wirtualnego szyfrowanego dysku w pliku i montowanie go
  jako prawdziwego dysku.
- Szyfrowanie całej partycji twardego dysku lub urządzenia takiego jak
  dysk flash USB.
- Szyfrowanie automatyczne, w czasie rzeczywistym i przezroczyste.
- Dwa poziomy prawdopodobnych utrudnień, w przypadku, gdy wróg zmusza
  do wyjawienia hasła:
  1) Ukryty wolumen (steganografia).
  2) Żaden wolumen TrueCrypt nie może być zidentyfikowany (wolumeny
  nie dadzą się odróżnić od losowych danych).
- Algorytmy szyfrowania: AES-256, Blowfish (klucz 448-bitowy), CAST5,
  Serpent, Triple DES oraz Twofish. Tryby działania: LRW (CBC
  obsługiwane dla wstecznej kompatybilności).

%prep
%setup -q -n %{name}-%{version}-source -a1
cp %{SOURCE2} %{SOURCE3} %{SOURCE4} .


%build
%{__make} wxbuild \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcxxflags}" \
	WX_ROOT=%{_builddir}/%{name}-%{version}-source/wxWidgets-%{wx_ver} \
	%{!?with_gui:NOGUI=1} \
	VERBOSE=1
%{__make} \
	%{!?with_gui:NOGUI=1} \
	WXSTATIC=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install Main/truecrypt $RPM_BUILD_ROOT%{_bindir}/truecrypt
mv -f Release/Setup\ Files/TrueCrypt\ User\ Guide.pdf TrueCrypt-User-Guide.pdf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc License.txt Readme.txt TrueCrypt-User-Guide.pdf
%attr(755,root,root) %{_bindir}/%{name}
##%%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: truecrypt.spec,v $
Revision 1.47  2010/07/21 13:29:20  lisu
- up to 7.0
- License has now 3.0 version

Revision 1.46  2010/06/18 12:31:47  sparky
- conditional BR: gtk+2-devel, xorg-lib-libSM-devel
- simplified %build

Revision 1.45  2010/06/18 12:23:36  sparky
- BR: gtk+2-devel, libstdc++-devel, pkgconfig, xorg-lib-libSM-devel

Revision 1.44  2010/06/18 11:48:50  lisu
- proper Source0-md5

Revision 1.43  2010/06/18 11:40:11  lisu
- md5 for rest of Sources

Revision 1.42  2010/06/18 11:33:38  lisu
- no changes have been done, back to rel 1

Revision 1.41  2010/06/18 11:29:38  lisu
- rel 2

Revision 1.40  2010/06/17 12:16:39  lisu
- Source0-md5
- enable verbose messages

Revision 1.39  2009/12/10 11:34:07  paszczus
- updated to 6.3a
- adaptarized

Revision 1.38  2009/11/03 12:18:04  paszczus
- updated 6.3

Revision 1.37  2009/10/02 08:51:55  tiwek
- up to 6.2a

Revision 1.36  2008/10/03 16:30:21  glen
- CC/CXX/CFLAGS/CXXFLAGS

Revision 1.35  2008/10/03 14:46:03  glen
- use gcc4 on ac

Revision 1.34  2008/09/08 12:41:40  undefine
- gui -> with gui ;)

Revision 1.33  2008/07/23 15:19:47  qboosh
- more sanity
- truecrypt.org site is useless as Source URL

Revision 1.32  2008/07/23 15:00:58  qboosh
- sanitized (with_nogui -> without_gui)

Revision 1.31  2008/07/23 09:58:07  kolodko
- added nogui bcond
- rel 0.2

Revision 1.30  2008/07/22 18:38:59  kolodko
- up to 6.0a

Revision 1.29  2008-04-21 20:13:29  kolodko
- up to 5.1a, now with fuse instead of kernel module
- some tests, seems works
- TODO: nogui bcond

Revision 1.28  2008-04-14 08:11:41  zbyniu
- patch for kernels 2.6.23+

Revision 1.27  2008-02-08 16:52:44  vip
- force -j1
- smp seems to work (part of TODO)

Revision 1.26  2007-10-25 08:35:14  arvenil
- part of TODO already done

Revision 1.25  2007/08/12 08:18:13  twittner
- added TrueCrypt-User-Guide.pdf to %doc (as is mentioned in manpage)

Revision 1.24  2007/06/26 18:08:35  shadzik
- missing %endif

Revision 1.23  2007/06/04 00:26:41  wolvverine
- SOURCE url

Revision 1.22  2007/06/02 15:11:14  mwinkler
- up to 4.3a
- rel 0.1

Revision 1.21  2007/04/12 15:17:48  shadzik
- proper kernel-module-build version

Revision 1.20  2007/03/23 20:51:39  shadzik
- adapt to new kernel macros
- add BR: rpmbuild(macros) >= 1.379
- remove that whole smp stuff

Revision 1.19  2007/03/08 00:45:32  mguevara
- rel 0.6
- added truecrypt-dm_dev.patch - no longer need for br kernel-source
- added truecrypt-kmem_cache-2.6.20-fix.patch - 2.6.20 cosmetics
- removed linking md stuff from kernel-sources

Revision 1.18  2007/03/07 17:58:54  glen
- note about kernel-source BR

Revision 1.17  2007/03/07 15:47:45  mguevara
- br: kernel-source

Revision 1.16  2007/03/07 14:02:41  mguevara
- rel 0.5
- updated truecrypt-init_work-2.6.20-fix.patch

Revision 1.15  2007/03/06 08:06:46  mguevara
- rel 0.4
- updated truecrypt-blk_congestion_wait-2.6.20-fix.patch for 2.6.19

Revision 1.14  2007/03/05 21:40:38  mguevara
- rel 0.3
- added up bcond
- use make instead of build.sh for building - userland builds separately
  from kernel modules
- use install_kernel_modules macro
- modules location changed from misc to kernel/misc

Revision 1.13  2007/02/27 15:49:15  mguevara
- modutils require (newer) -> conflicts (with older)

Revision 1.12  2007/02/27 13:10:19  mguevara
- rel 0.2
- some 2.6.20 fixes added: truecrypt-init_work-2.6.20-fix.patch and
  truecrypt-blk_congestion_wait-2.6.20-fix.patch

Revision 1.11  2007/02/18 13:22:41  qboosh
- fixed

Revision 1.10  2007/02/18 13:02:39  marcus
- fixed release

Revision 1.9  2007/02/13 08:06:44  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.7  2007/01/27 20:16:53  adamg
- Source0-md5

Revision 1.6  2006/11/09 21:18:09  glen
- strict internal deps

Revision 1.5  2006/11/07 22:32:58  qboosh
- pl, userspace bcond

Revision 1.4  2006/10/24 23:14:35  glen
- corrected Group, added todos

Revision 1.3  2006/10/24 20:51:24  mwinkler
- rel 0.1, adapterized

Revision 1.2  2006/10/24 20:42:55  mwinkler
- clean

Revision 1.1  2006/10/24 20:40:37  mwinkler
- initial, 2.6.18 ok
